> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add tables to skip mirroring OBSOLETE from 10.1.8

> Add tables to skip mirroring

Our database mirroring service has a pre-defined [list of tables][1] not replicated during the mirroring process. What if, however, you want to add more tables to the blocked list?

To add tables to the mirroring service blocked list, create a user preference with:

* `prefSection`: Mirroring
* `prefKey`: SkipTables

The `prefValue` is where you store a comma-separated string of table names that are added to the blocked list during the replication phase.

Adding a user preference **affects all database mirroring jobs for that tenant**. If another application also using mirroring, it too will be affected by this setting.

## Adding a user preference

You must use the API to add a user preference. There is no built-in **Preference** section for managing settings for database mirroring.

### REST API

```http theme={null}
POST https://sod.superoffice.com/Cust12345/api/v1/Preference/Mirroring/SkipTables HTTP/1.1
Authorization: Bearer 8A:Cust12345.ARE...brevity...H8
Accept: application/json; charset=utf-8
Content-Type: application/json; charset=utf-8

{
  "RawValue": "ej_message,y_table",
}
```

### SOAP proxies

```csharp theme={null}
using (PreferenceAgent prefAgent = new PreferenceAgent())
{
  var preference = prefAgent.CreateDefaultPreference();
  preference.Specification = new PreferenceSpec()
  {
    Section = "Mirroring",
    Key = "SkipTable"
  };
  preference.Level = SuperOffice.Data.PreferenceLevel.Database;
  // Comma-separated list of table names
  preference.RawValue = "ej_message,y_table";
  return prefAgent.SavePreferenceEntity(preference, true);
}
```

[1]: ./blocked-tables


## Related topics

- [New and improved SuperOffice Mobile CRM](/release-notes/mobile/index.md)
- [What's new in version 10.2.10.1344](/release-notes/database/changes-10.2.10.md)
- [What's new in version 10.3.10.720](/release-notes/database/changes-10.3.10.md)
- [What's new in version 10.2.8.655](/release-notes/database/changes-10.2.8.md)
- [What's new in version 10.2.9.778](/release-notes/database/changes-10.2.9.md)
- [What's new in version 11.10.705.0](/release-notes/database/changes-11.10.705.md)
- [What's new in version 10.3.1.759](/release-notes/database/changes-10.3.1.md)
